Subject: Re: bug#26988: Add desktop-file-utils to all gtk applications
From: [email-masked] (宋文武)
To: Marius Bakke <[email-masked]>
Cc: Danny Milosavljevic <[email-masked]>, [email-masked]
Date: Mon, 03 Jul 2017 23:32:11 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Marius Bakke <[email-masked]> writes:

> Marius Bakke <[email-masked]> writes:
>
>> Danny Milosavljevic <[email-masked]> writes:
>>
>>> Hi Marius,
>>> Hi 宋文武,

Hello Marius and Danny,

>>> Marius Bakke <[email-masked]> wrote:
>>>
>>>> Danny Milosavljevic <[email-masked]> writes:
>>>> 
>>>> > these are two patches I propose we add in order to add
>>>> > desktop-file-utils to all gtk applications.  This means that the
>>>> > profile hook would pick up the desktop files (as soon as possible).  
>>>> 
>>>> So if I read (guix profiles) correctly, the hook only runs when
>>>> 'desktop-file-utils' is referenced. Would checking for a gtk reference
>>>> as well not achieve the same effect? Or is that too expensive?

Yes, it will work better.  It's expensive slightly by adding the
latest version of desktop-file-utils into the profile closure, but
the 'xdg-mime-database' does that already.

>>> [...]
>>
>> IIUC, the idea is to run the hook every time a package with a ".desktop"
>> file has changed. Even if we propagate "desktop-file-utils" from say,
>> GTK+ and Qt, it won't catch some cases where we add the ".desktop" file
>> manually such as "rxvt-unicode".

Yes, but normally one would have other applications that using GTK+ or
GLib, which will make the hook run.

So I end up with modify the profile hook to test for GLib, it should
work in most cases.

Thanks for the patches!